Public Class usrcntlSonstigesPDF
    Implements FormualrInterface

    Property PFAD = ""
    Public Event DELETE(c As Control)
    Public Event MOVE_UP(c As Control)
    Public Event MOVE_DOWN(c As Control)


    Public KdNR As Integer = -1
    Public Sub ChangeKDNr(kdnr As Integer) _
       Implements FormualrInterface.ChangeKDNr
        'nix...
    End Sub

    Sub New(PFAD)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        If System.IO.File.Exists(PFAD) Then
            Me.PFAD = PFAD
            Me.lblText.Text = System.IO.Path.GetFileName(PFAD)
        End If

    End Sub

    Private Sub btnDel_Click(sender As Object, e As EventArgs) Handles btnDel.Click
        RaiseEvent DELETE(Me)
    End Sub

    Private Sub btnup_Click(sender As Object, e As EventArgs) Handles btnUp.Click
        RaiseEvent MOVE_UP(Me)
    End Sub

    Private Sub btnDown_Click(sender As Object, e As EventArgs) Handles btnDown.Click
        RaiseEvent MOVE_DOWN(Me)
    End Sub

    Private Sub pic_Click(sender As Object, e As EventArgs) Handles pic.Click
        If System.IO.File.Exists(PFAD) Then Process.Start(PFAD)
    End Sub

    Private Sub usrcntlFormOhneFelder_Load(sender As Object, e As EventArgs) Handles Me.Load

        If KdNR > 0 Then
            ' initKdNR(KdNR)
        End If
    End Sub
End Class
